/***********************/
/* NCShow.rexx         */
/* 7/20/89 - Don Nafis */
/***********************/


/* Remove the comments below to trace this script. */
/*--->trace results<---*/

options failat 20
options results

address NAZCRON

'LIST_EVENTS'
if (rc ~= 0) then say "LIST_EVENTS error " || rc
else
do
  eventlist = result
  numwords = words(eventlist)

  if numwords > 0 then do

    say
    say 'NazCron - Active Named Events:'
    say

    do j=1 to numwords
      event = word(eventlist,j)
      'SHOW_EVENT '|| event
      if (rc = 0) then
        say '->' || event || ' ' || result
      else
        say '->' || event || ' not found.'
    end
  end
  else
  do
    say
    say 'NazCron has no active named events.'
  end

  say

  'SHOW_STATUS'
  if (rc ~= 0) then
    say 'NazCron command: SHOW_STATUS failed with return code: '||rc
  else
    say 'Status: '||result
  say

end
